<template>
  <div class="services">
    <div class="section-ttl">
      <h2 class="section-ttl__txt">Services</h2>
      <div class="section-ttl__line"></div>
    </div>
    <div v-if="services">
      <div class="services-list">
        <article  v-for="(service, index) in services" :key="index" class="services-item">
          <span class="services-item__ico"><font-awesome-icon :icon="service.icon" /></span>
          <h3 class="services-item__ttl">{{ service.title }}</h3>
          <p class="services-item__txt">{{ service.info }}</p>
        </article>
      </div>
    </div>
  </div>
</template>

<script>
import { library } from "@fortawesome/fontawesome-svg-core";
import {
  faCocktail,
  faHiking,
  faShuttleVan,
  faBeer,
} from "@fortawesome/free-solid-svg-icons";

library.add(faCocktail, faHiking, faShuttleVan, faBeer);

export default {
  name: "Services",
  data() {
    return {
      services: [
        {
          icon: "cocktail",
          title: "free cocktails",
          info:
            "Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni, corporis!",
        },
        {
          icon: "hiking",
          title: "Endless Hiking",
          info:
            "Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni, corporis!",
        },
        {
          icon: "shuttle-van",
          title: "Free shuttle",
          info:
            "Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni, corporis!",
        },
        {
          icon: "beer",
          title: "Strongest Beer",
          info:
            "Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni, corporis!",
        },
      ],
    };
  },
  components: {},
};
</script>

<style lang="">
.services {
  background: var(--darkGrey);
  text-align: center;
  padding: 5rem 0;
}

.services-list {
  width: 90vw;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
}

.services-item {
  margin-bottom: 2rem;
}

.services-item:last-child {
  margin-bottom: 0;
}

.services-item__ico {
  display: inline-block;
  color: var(--primaryColor);
  font-size: 2.5rem;
  margin-bottom: 1.5rem;
}

.services-item__ttl {
  letter-spacing: var(--mainSpacing);
  text-transform: capitalize;
}

.services-item__txt {
  width: 80%;
  margin: 0 auto;
}

@media screen and (min-width: 992px) {
  .services-list {
    flex-direction: row;
  }
  .services-item {
    margin-bottom: 0;
  }
}
</style>